﻿
a {
    text-decoration: none;
}
.hero__nav {
    display: flex;
    /*width: 1440px;*/
    height: 104px;
    padding: 16px 0px;
    justify-content: space-between;
    align-items: center;
}

.hero__logo {
    
    height: 65px;
    width: 179px;
}
    .hero__logo img {
        height: 65px;
        width: 179px;
        content: url("images/logo_nexcar.svg");
    }

.hero__menu {
    width: 500px;
    height: 72px;
    display: flex;
    font-weight: 300;
    align-items: center; /* ✅ centra vertical */
    justify-content: center; /* ✅ centra horizontal */
    gap: 25px;
    font-size: 16px;
    list-style: none;
    margin: 16px;
    padding: 16px 16px 16px 16px;
    border-radius: 16px;
    /*border: 1px solid #A2FFFF;*/
    background: transparent;
    backdrop-filter: blur(12px);
    line-height: 24px;
    letter-spacing: 0%;
    text-decoration: none;
    box-shadow: 0px 8px 10px rgba(53, 181, 166, 0.1);
    /* 🔥 DOBLE ESQUINA TRANSPARENTE */
    -webkit-mask-image: radial-gradient(circle at top right, transparent 2%, black 5%), radial-gradient(circle at bottom left, transparent 2%, black 7%);
    -webkit-mask-composite: destination-in;
    mask-image: radial-gradient(circle at top right, transparent 1%, black 5%), radial-gradient(circle at bottom left, transparent 1%, black 7%);
    mask-composite: intersect;
}


    .hero__menu a {
        position: relative;
        text-decoration: none;  
        color: #ffffff; 
        font-size: 16px;
        /*font-weight: 400;*/
        padding-bottom: 6px;
        transition: opacity 0.2s ease;
    }

        .hero__menu a::after {
            content: "";
            position: absolute;
            left: 0;
            bottom: -0px;
            width: 0%;
            height: 2px;
            background: white;
            transition: width 0.25s ease;
        }

        .hero__menu a:hover::after {
            width: 100%;
        }


        .hero__menu a.active::after {
            width: 100%;
        }
.hero__menu-close {
    display: none;
}
.hero__close {
    background: none;
    border: none;
    font-size: 28px;
    color: #6b7a90;
    cursor: pointer;
    padding: 0;
}

.hero__nav .btn {
    background: transparent;
    /*border: 1px solid #A2FFFF;*/
    color: white;
    padding: 8px 16px;
    border-radius: 4px;
    font-size:16px;
    font-weight: 600;
    transition: all 0.2s ease;
    box-shadow: 0px 8px 10px rgba(53, 181, 166, 0.1);
    -webkit-mask-image: radial-gradient(circle at top right, transparent 1%, black 1%), radial-gradient(circle at bottom left, transparent 1%, black 1%);
    -webkit-mask-composite: destination-in;
    mask-image: radial-gradient(circle at top right, transparent 1%, black 5%), radial-gradient(circle at bottom left, transparent 1%, black 5%);
    mask-composite: intersect;
}

    .hero__nav .btn:hover {
        background: rgba(255, 255, 255, 0.15);
    }

.hero__body {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 48px;
}
.hero__content {
    grid-column: 1;
    grid-row: 1;
    max-width: 720px;
}
.hero__content h1 {
    font-size: 40px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 24px;
}

.hero__content p {
    font-size: 20px;
    font-weight: 400;
    line-height: 1.5;
    max-width: 420px;
    margin-bottom: 32px;
}


.hero__hamburger {
    display: none;
    font-size: 30px;
    background: none;
    border: none;
    color: white;
    cursor: pointer;
    z-index: 1101;
}

.hero__content--animate {
    opacity: 0;
    transform: translateX(-120px);
    animation: slideLeft 3s ease forwards;
}

.hero__image--animate {
    opacity: 0;
    transform: translateX(120px);
    animation: slideRight 3s ease forwards;
}

@keyframes slideLeft {

    from {
        opacity: 0;
        transform: translateX(-120px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideRight {

    from {
        opacity: 0;
        transform: translateX(120px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}


/* =======================================================
   TABLET
======================================================= */

@media (max-width:992px) {
    .hero__menu a {
        color: #4D5B71 !important;
        font-size: 18px;
        font-weight: 400;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 10px 0;
        width: 100%;
    }

        .hero__menu a::after {
            content: "›";
            width: auto;
            height: auto;
            position: static;
            background: none;
            font-size: 30px;
            color: #6b7a90;
            
        }

    .hero {
        padding: 32px;
    }

    .hero__menu {
        position: absolute;
        top: 0;
        left: -100%;
        width: 320px;
        max-width: 88vw;
        height: 50vh;
        background: #fff;
        display: flex;
        flex-direction: column;
        gap: 0;
        padding: 24px 18px;
        margin: 0;
        z-index: 1100;
        box-shadow: 0 8px 30px rgba(0,0,0,0.18);
        transition: left 0.3s ease;
    }



    .hero__body {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .hero__image {
        justify-content: center;
        width: 100%;
    }

        .hero__image img {
            max-width: 420px;
        }


}
